# $Revision: 1.4 $, $Date: 2004/05/03 00:55:41 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Term
%define	pnam	ANSIScreen
Summary:	Term::ANSIScreen - terminal control using ANSI escape sequences
Summary(pl):	Term::ANSIScreen - sterowanie terminalem przy uyciu sekwencji ANSI
Name:		perl-Term-ANSIScreen
Version:	1.42
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fae3a1c63e16905bf3d8a923d6f928b4
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Term::ANSIScreen is a superset of Term::ANSIColor (as of version 1.04
of that module). In addition to color-sequence generating subroutines
exported by :color and :constants, this module also features :cursor
for cursor positioning, :screen for screen control, as well as
:keyboard for key mapping.

%description -l pl
Term::ANSIScreen to nadzbir Term::ANSIColor (przynajmniej dla wersji
1.04 tamtego moduu). Oprcz funkcji generujcych sekwencje dla
kolorw ekportowanych przez :color i :constants, ten modu ma take
:cursor do ustawiania kursora, :screen do sterowania ekranem, a take
:keyboard do mapowania klawiszy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Term/ANSIScreen.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Term-ANSIScreen.spec,v $
Revision 1.4  2004/05/03 00:55:41  ankry
- license fixes, cosmetics

Revision 1.3  2004/03/28 11:46:44  adamg
- updated to 1.42

Revision 1.2  2004/03/06 19:05:51  adamg
- updated to 1.41

Revision 1.1  2003/12/17 16:21:29  qboosh
- new

